package de.mbutscher.wikiandpad.db;

@SuppressWarnings("serial")
public class DbWriteAccessException extends WikiDataException {

    public DbWriteAccessException() {
        super();
    }

    public DbWriteAccessException(String detailMessage, Throwable throwable) {
        super(detailMessage, throwable);
    }

    public DbWriteAccessException(String detailMessage) {
        super(detailMessage);
    }

    public DbWriteAccessException(String formatMessage, String... args) {
        super(String.format(formatMessage, (Object[]) args));
    }
    
    public DbWriteAccessException(Throwable throwable) {
        super(throwable);
    }
}
