package de.mbutscher.wikiandpad.utils;

import java.util.ArrayList;

/**
 * Incomplete implementation
 * @author Michael Butscher
 *
 * @param <E>
 */
public class IdentityArrayList<E> extends ArrayList<E> {
    private static final long serialVersionUID = 1L;

    @Override
    public int indexOf(Object object) {
        for(int i = 0; i < size(); ++i) {
            if (get(i) == object)
                return i;
        }
        return -1;
    }

    @Override
    public int lastIndexOf(Object object) {
        for(int i = size() - 1; i >= 0; --i) {
            if (get(i) == object)
                return i;
        }
        return -1;
    }

    @Override
    public boolean contains(Object object) {
        return indexOf(object) != -1;
    }

    @Override
    public boolean equals(Object o) {
        if (o == null)
            return false;
        
        if (!(o instanceof IdentityArrayList))
            return false;
        
        @SuppressWarnings("unchecked")
        IdentityArrayList<E> otherList = (IdentityArrayList<E>) o;
        
        if (size() != otherList.size())
            return false;
        
        for(int i = 0; i < size(); ++i) {
            if (get(i) != otherList.get(i))
                return false;
        }

        return true;
    }

    @Override
    public boolean remove(Object object) {
        int i = indexOf(object);
        
        if (i >= 0) {
            remove(i);
            return true;
        }

        return false;
    }

}
