package de.mbutscher.wikiandpad.utils;

import java.util.Iterator;


/**
 * Combination of {@link Iterable<T>} and {@link Iterator<T>}.
 * {@link Iterable#iterator()} should return this.
 * @author Michael Butscher
 *
 */
public interface IterableIterator<T> extends Iterator<T>, Iterable<T> {

}
