package de.mbutscher.wikiandpad.utils.ui;

import static java.lang.annotation.ElementType.METHOD;
import static java.lang.annotation.RetentionPolicy.RUNTIME;
import java.lang.annotation.Documented;
import java.lang.annotation.Retention;
import java.lang.annotation.Target;

@Documented
@Retention(RUNTIME)
@Target({ METHOD })
public @interface ClickHandler {
    /**
     * id number of the button or other view which should call
     * annotated method as OnClickListener
     */
    public int value();
}
