package de.mbutscher.wikiandpad.db;

@SuppressWarnings("serial")
public class DbReadAccessException extends WikiDataException {

    public DbReadAccessException() {
        super();
    }

    public DbReadAccessException(String detailMessage, Throwable throwable) {
        super(detailMessage, throwable);
    }

    public DbReadAccessException(String detailMessage) {
        super(detailMessage);
    }
    
    public DbReadAccessException(String formatMessage, String... args) {
        super(String.format(formatMessage, (Object[]) args));
    }
    
    public DbReadAccessException(Throwable throwable) {
        super(throwable);
    }
}
