package de.mbutscher.wikiandpad.utils;

import java.util.HashMap;

public class HashMapBuilder<K, V> {
    protected HashMap<K, V> hashMap;
    
    public HashMapBuilder() {
        hashMap = new HashMap<K, V>();
    }

    public HashMap<K, V> getHashMap() {
        return hashMap;
    }

    public HashMapBuilder<K, V> put(K key, V value) {
       hashMap.put(key, value);
       return this;
    }
    
}
